Loading...
Searching...
No Matches
AVD3D12VAFrame Struct Reference

D3D12VA frame descriptor for pool allocation. More...

`#include <libavutil/hwcontext_d3d12va.h>`

## Data Fields

ID3D12Resource * | texture
| The texture in which the frame is located.
int | subresource_index
| Index of the subresource within the texture.
AVD3D12VASyncContext | sync_ctx
| The sync context for the texture.
AVD3D12VAFrameFlags | flags
| A combination of AVD3D12VAFrameFlags.

## Detailed Description

D3D12VA frame descriptor for pool allocation.

Definition at line 138 of file hwcontext_d3d12va.h.

## Field Documentation

## texture

ID3D12Resource* AVD3D12VAFrame::texture

The texture in which the frame is located.

The reference count is managed by the AVBufferRef, and destroying the reference will release the interface.

Definition at line 144 of file hwcontext_d3d12va.h.

## subresource_index

int AVD3D12VAFrame::subresource_index

Index of the subresource within the texture.

In texture array mode, this specifies the array slice index. When texture array mode is not used, this value is always 0.

Definition at line 152 of file hwcontext_d3d12va.h.

## sync_ctx

AVD3D12VASyncContext AVD3D12VAFrame::sync_ctx

The sync context for the texture.

See also
  : https://learn.microsoft.com/en-us/windows/win32/medfound/direct3d-12-video-overview#directx-12-fences

Definition at line 159 of file hwcontext_d3d12va.h.

## flags

AVD3D12VAFrameFlags AVD3D12VAFrame::flags

A combination of AVD3D12VAFrameFlags.

Set by AVD3D12VAFramesContext.

Definition at line 165 of file hwcontext_d3d12va.h.

The documentation for this struct was generated from the following file:

- libavutil/hwcontext_d3d12va.h